<template>
  <div class="no-wrap row flex-center mobile-hide" style="background: linear-gradient(to top, #61cb34, lawngreen); text-align: center; height: 90px; width: 100%; z-index: 99">
    <div class="row no-wrap" style="width: 100%;  max-width: 1360px;">
      <q-toolbar class="row col-2" style="margin-left: -30px">
        <img style="max-width: 11rem; cursor:pointer; " src="~assets/logo_big.png" @click="$router.push('/')" />
      </q-toolbar>
      <q-toolbar class="col-8">
        <div class="col-md-5" style="margin-right: 30px">
          <location-select/>
        </div>
        <div class="col-md-5">
          <q-input bg-color="white" outlined label="  Cari Sesuatu?"  >
            <template v-slot:append >
              <q-btn style="background-color: orange; height: 56px; width: 56px; margin-right: -12px"  dense flat icon="search" />
            </template>
          </q-input>
        </div>
        <q-btn icon="shopping_cart" flat >
          <q-badge color="red" floating transparent>
            0
          </q-badge>
        </q-btn>
        <q-btn icon="mode_comment" flat type="a" to="/chat">
          <q-badge color="red" floating transparent>
            0
          </q-badge>
        </q-btn>
      </q-toolbar>
      <q-toolbar class="col-2 " style="padding-left: 20px; padding-right: 0; margin-left: 25px; text-align: right">
        <q-btn-group v-if="!token" >
          <q-btn label="Login" icon="login" color="red" to="login" />
          <q-btn label="Register" icon="account_circle" color="orange" to="register" />
        </q-btn-group>
        <q-btn flat round dense v-else style="margin-left: auto">
          <div>
            <q-avatar size="50px">
              <img :src="user.avatar || 'avatar.jpg'">
            </q-avatar>
          </div>
          <q-menu>
            <profile-nav :user="user" />
          </q-menu>
        </q-btn>
      </q-toolbar>
    </div>
    <div class="row flex-centers hide-scrollbar" v-if="showkategori" style="overflow-x: scroll; overflow-y: hidden; margin: 0; background-color: white; padding-top: 0; height: 100px;">
      <div style="margin: auto">
        <vue-horizontal-list :items="items" :options="optionsNavKategori" style="width: 1300px; height: 100px">
          <template v-slot:default="{item}" >
            <q-img
              :src="item.image"
              height="70px"
              @click="toLinkCategory(item.title)"
              style="margin: -20px auto 10px auto; cursor: pointer"
            >
              <div class="absolute-bottom text-subtitle1 text-center" style="height: 20px; padding: 0; line-height: 20px" >
                {{ item.title }}
              </div>
            </q-img>
          </template>
        </vue-horizontal-list>
      </div>
    </div>
  </div>
</template>

<script>
import LocationSelect from "components/Layouts/LocationSelect";
import VueHorizontalList from "vue-horizontal-list";
import ProfileNav from "components/ProfileNav";
export default {
  name: 'NavDesktop',
  components: {
    LocationSelect,
    VueHorizontalList,
    ProfileNav
  },
  data () {
    return {
      showkategori: false,
      items: [],
      category: null,
      optionsNavKategori: {
        responsive: [
          {end: 576, size: 4},
          {start: 576, end: 768, size: 4},
          {start: 768, end: 992, size: 4},
          {start: 992, end: 1200, size: 4},
          {start: 1200, size: 4}
        ],
      }
    }
  },
  beforeMount() {
    // this.getCategory();
  },
  methods: {
    getCategory() {
      this.$axios.get("/api/category/menu")
        .then(sukses => {
          this.category = sukses.data
          let hasil = []
          sukses.data.forEach(function (data) {
            let x = {
              title: data.category,
              content: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam sit amet fringilla ante. Quisque at ipsum non lacus consequat dictum.',
              image: data.img_web
            };
            hasil.push(x)
          })
          this.items = hasil
        })
    },
    toLinkCategory(category) {
      this.$router.push("/c/" + category)
    }
  },
  computed: {
    token() {
      return localStorage.getItem("token");
    },
    user() {
      return this.$store.state.user.user;
    }
  }
}
</script>

<style>
.detail-kategori {
  width: 100%;
}
</style>
